Bug 1123382 - [abrt] iagno: game_place(): iagno killed by SIGSEGV
Summary: [abrt] iagno: game_place(): iagno killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iagno
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a3b84b45e2aeab01f01144c018...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 13:28 UTC by Michael Catanzaro
Modified: 2015-06-29 21:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:42 UTC


Attachments (Terms of Use)
File: backtrace (27.33 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (11.50 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: dso_list (10.30 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: environ (1.34 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: maps (51.62 KB, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: open_fds (873 bytes, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (327 bytes, text/plain)
2014-07-25 13:28 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2014-07-25 13:28:41 UTC
Description of problem:
See https://bugzilla.gnome.org/show_bug.cgi?id=733708

Version-Release number of selected component:
iagno-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        iagno
crash_function: game_place
executable:     /usr/bin/iagno
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 game_place at game.c:546
 #1 game_can_place at game.c:410
 #2 game_get_can_move at game.c:1324
 #3 game_get_is_complete at game.c:1353
 #4 game_place_tile at game.c:438
 #5 computer_player_search at computer-player.c:418
 #6 computer_player_move at computer-player.c:295
 #7 iagno_computer_move_cb at iagno.c:1486
 #8 _iagno_computer_move_cb_gsource_func at iagno.c:804
 #13 g_main_context_iteration at gmain.c:3774

Comment 1 Michael Catanzaro 2014-07-25 13:28:43 UTC
Created attachment 920975 [details]
File: backtrace

Comment 2 Michael Catanzaro 2014-07-25 13:28:43 UTC
Created attachment 920976 [details]
File: cgroup

Comment 3 Michael Catanzaro 2014-07-25 13:28:44 UTC
Created attachment 920977 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2014-07-25 13:28:45 UTC
Created attachment 920978 [details]
File: dso_list

Comment 5 Michael Catanzaro 2014-07-25 13:28:46 UTC
Created attachment 920979 [details]
File: environ

Comment 6 Michael Catanzaro 2014-07-25 13:28:46 UTC
Created attachment 920980 [details]
File: exploitable

Comment 7 Michael Catanzaro 2014-07-25 13:28:47 UTC
Created attachment 920981 [details]
File: limits

Comment 8 Michael Catanzaro 2014-07-25 13:28:48 UTC
Created attachment 920982 [details]
File: maps

Comment 9 Michael Catanzaro 2014-07-25 13:28:49 UTC
Created attachment 920983 [details]
File: open_fds

Comment 10 Michael Catanzaro 2014-07-25 13:28:49 UTC
Created attachment 920984 [details]
File: proc_pid_status

Comment 11 Michael Catanzaro 2014-07-25 13:28:50 UTC
Created attachment 920985 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:28:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:45:42 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.